Bug 22527 - GPG key expiration refreshed
Summary: GPG key expiration refreshed
Status: RESOLVED FIXED
Alias: None
Product: freedesktop.org
Classification: Unclassified
Component: Account Modification Requests (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: fd.o Admin Massive
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-28 23:51 UTC by Luca Barbato
Modified: 2012-07-22 18:31 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Description Luca Barbato 2009-06-28 23:51:15 UTC
my account (lu_zero) at freedesktop has the GPG key expired, I renewed it and pushed to the keyserver but apparently needs to be manually updated here.

the key to be updated is 0xE84C78C284E90E34
Comment 1 Daniel Stone 2009-10-06 20:17:26 UTC
do you have any way of verifying that the new key is in fact yours, e.g. signing the new key with the old?
Comment 2 Luca Barbato 2009-10-07 02:16:04 UTC
I'm not particularly proficient with gpg, I just changed the expiry time so the key should remain the same, I think.

I picked up the relevant section of the man page:

http://www.gnupg.org/gph/en/manual.html#AEN329

Comment 3 Tollef Fog Heen 2010-02-09 12:21:36 UTC
I've updated your key now:

$ gpg --no-default-keyring --keyring /srv/keyring.freedesktop.org/pubring.gpg --list-keys 0xE84C78C284E90E34pub   1024D/84E90E34 2004-09-29 [expires: 2011-05-24]
uid                  Luca Barbato <lu_zero@gentoo.org>
Comment 4 Luca Barbato 2012-06-30 15:55:17 UTC
Hello!

Your request to the mail gateway is malformed, or an internal processing
error occured. The information below may help you, or the gateway
administrator to identify the problem.

Error: Unable to check the signature or the signature was invalid:
==> <type 'exceptions.TypeError'>: exceptions must be old-style classes or derived from BaseException, not str


Seems that the system is still not accepting me.
Comment 5 Luca Barbato 2012-06-30 15:59:34 UTC
-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v2.0.18 (GNU/Linux)

mQGiBEFbMMgRBAD/h6aqtUhYZQLK8EGtzJ6c/tFE4tHICWQuZzVta0h7EFBWg67x
FccwS+b/RxiCo9UpqfUYvvu60NJUN8seXEZN/mxP0iguo014AU2V6841aCm6+zGa
dWoK3/n1zyji78y48qcWbvimpQK0bXvOs9A6FmvoycmFLqsbjluPn1iBlwCg9VgO
32K76uoMwCHwhFYMCcM/SMMEAMO9E8wc2OarmvfCxD1J5XoaYJPK3krHveA3j4zK
ahmp7PhhrU35YZm9Bh5eHgmURc1ZpnC6y/SsXnS6GAmu9s5Cglep3yBAHDTEXEVA
ueB5c6XqtQoy9pzJ26rwME7dmqZ1xUmK1Gb3pwYQiedp45W+I0G6F0v2/ZsN5KPk
2egtA/4nz+XU9J9J36iY+c2S1U1bTtPqetpveY2d2PijiCribW+qyooF31qPXPyW
oLzZwbGtxE1PEhFerAjzG9oZQM8UoItraIIxtlG87EC+AP13x2Oo/Dlg72obEdLi
ssmokymrBnWPP0cynBGC9FNx3LlPpzn3dVaD8/S629utGjvho7QhTHVjYSBCYXJi
YXRvIDxsdV96ZXJvQGdlbnRvby5vcmc+iGQEExECACQCGwMGCwkIBwMCAxUCAwMW
AgECHgECF4AFAk+dzo8FCRIFBMcACgkQ6Ex4woTpDjQVGwCgpR8eeGuhhgkrDZtz
1rSfNNDDRA0AoKfEMrnthXkUJ4EiFSg6MxzI87nwiEwEExECAAwFAkFbRwMFgwPC
UMUACgkQUyqC+0dcR0yU/QCgyhpiMknuY6S5WUddmuzN6QG8rekAniPoF9YK7zT7
vhhyeteNa2CqwKqsiEwEExECAAwFAkFbSXwFgwPCTkwACgkQMXMsRNMHhmCG6wCf
RMPEMog4MbxIFQacOfhS92ip4jMAnjG28/4xpn7jCCGfY9FcO1oTMehMiGQEExEC
ACQCGwMGCwkIBwMCAxUCAwMWAgECHgECF4AFAkVH4rsFCQevGPMACgkQ6Ex4woTp
DjSBnQCg2PIIyxGfqYClI0pQ7Toy66KMLncAoO/nFotZ+Bb3snHP0M/NN3D6SAh9
iGQEExECACQFAkFbMMgCGwMFCQPCZwAGCwkIBwMCAxUCAwMWAgECHgECF4AACgkQ
6Ex4woTpDjTqEwCgpVbxcsqmh2xnRjiR5qooUncjlicAn3tsn5WZ9q21exH4r3Nu
/1owmbMIuQENBEFbMNcQBADJhow3CLJmElmhZxRQWy1zKQDeRYNROrqTqQcJMsnU
Sk7crc89+Gk2Ltd3zXvp7wuo7ZqncCC0EyCDoLUA0P48u0UeV5TS+yE6Lsax858V
P36rYZHrBoaAPtjrdgsbuq+nplR0+6lx3Iwi9SU2BwfvD51m+ivng1BVBczPzvNo
rwADBQP/avcn6Fh/sIkhPrSUmZd9JbbRVM/AnZ8kdvxEbb1UfwhbzPhoO1uUs/zO
9/vt/T965elDq/GUHTtppVr/EFSg5R3KiM2GTkfzDF/PuzMmi4Z4kj2X4B7AMxh1
rK7D5rUX7B+zFmmxzxGxw7+PxeK5DrnlgZNigjiQVaaQlYphNvuITwQYEQIADwIb
DAUCT53OZQUJEgUEjgAKCRDoTHjChOkONI5rAKCTTz3sD7U36ZFiiHNy0qiOlOUk
tACeJB93ZmQ+FAoPcH8W3shw5PTboMg=
=/MEK
-----END PGP PUBLIC KEY BLOCK-----

If it could be useful.

I guess a permanent key might me of use.
Comment 6 Tollef Fog Heen 2012-07-22 18:31:45 UTC
Updated again.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.